Using Connect 3.6 in Firefox 41/42

Version 41 and 42 of the Mozilla Firefox browser have been released. This update affects users of the Aspera Connect 3.6 browser plugin.

Connect 3.6.5 and above works as expected through Firefox 43. For this reason, you should upgrade to the latest version of Connect, which you can download from the Aspera downloads site.

It has been found that Connect 3.6.0-3.6.1 crashes on these versions of Firefox on some systems. The solution in this case would be to upgrade.

If you cannot upgrade Connect and must use Firefox, Firefox 40.0.3 is the previous release to work with Connect 3.6.0.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk